Main Page Class Hierarchy Compound List File List Compound Members File Members

# tankputaway.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <earthworm.h>`
`#include <trace_buf.h>`
`#include <swap.h>`
`#include <pa_subs.h>`

Go to the source code of this file.

## Defines
#define | MAXTXT 150
## Functions
int | TANKPA_init (char *OutDir, int debug)
int | TANKPA_next_ev (char *EventID, char *OutDir, char *EventDate, char *EventTime, int debug)
int | TANKPA_next (TRACE_REQ *getThis, int debug)
int | TANKPA_end_ev (int debug)
int | TANKPA_close (int debug)
## Variables
char | TankFile [MAXTXT]
FILE * | fpTank

## Define Documentation

#define MAXTXT 150

| Definition at line 57 of file tankputaway.c.

## Function Documentation

int TANKPA_close | ( | int | debug | ) |

| Definition at line 226 of file tankputaway.c. References EW_SUCCESS, and logit(). Referenced by PA_close().

int TANKPA_end_ev | ( | int | debug | ) |

| Definition at line 210 of file tankputaway.c. References EW_SUCCESS, and logit(). Referenced by PA_end_ev().

int TANKPA_init | ( | char * | OutDir,
|  | int | debug
| ) |

| Definition at line 68 of file tankputaway.c. References CreateDir(), EW_FAILURE, EW_SUCCESS, and logit(). Referenced by PA_init().

int TANKPA_next | ( | TRACE_REQ * | getThis,
|  | int | debug
| ) |

| Definition at line 152 of file tankputaway.c. References TRACE_REQ::actLen, TRACE_HEADER::chan, TRACE_HEADER::datatype, EW_FAILURE, EW_SUCCESS, logit(), TRACE_HEADER::net, TRACE_HEADER::nsamp, TRACE_REQ::pBuf, TRACE_HEADER::sta, and WaveMsgMakeLocal(). Referenced by PA_next().

int TANKPA_next_ev | ( | char * | EventID,
|  | char * | OutDir,
|  | char * | EventDate,
|  | char * | EventTime,
|  | int | debug
| ) |

| Definition at line 101 of file tankputaway.c. References EW_FAILURE, EW_SUCCESS, fpTank, and logit(). Referenced by PA_next_ev().

## Variable Documentation

FILE* fpTank`[static]`

| Definition at line 60 of file tankputaway.c. Referenced by TANKPA_next_ev().

char TankFile[MAXTXT]`[static]`

| Definition at line 59 of file tankputaway.c.